@import url('https://fonts.googleapis.com/css2?family=Rubik:ital,wght@0,300..900;1,300..900&display=swap');

/* I Know My Code Is Bad */

html {
    scroll-behavior: smooth;
}
body{
    background-color: #1c1c1c;
    color: white;
    font-family: "Rubik", sans-serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;

}
.navbar {
    backdrop-filter: blur(2px);
    border: 1px solid white;
    padding: 0px 10px;
    position: sticky;
}
.navdiv {
    display: flex;
    align-items: center;
    justify-content: space-between;
    
}
li {
    list-style: none;
    display: inline-block;
    padding: 5px 0px;
    transition: .4s all ease-in-out;
    border-radius: 10px;
}

li:hover {
    text-shadow: 0px 0px 10px white;
}

li a {
    margin: 5px;
    text-decoration: none;
    color: white;
}


.bg {
    position: fixed;
    inset: 0;
    background-size: cover;
    background-position: center;
    transition: opacity 1.6s ease, filter 1.6s ease;
}

#bg1 {
    opacity: 1;
    z-index: -2;
}

#bg2 {
    opacity: 0;
    filter: blur(10px);
    z-index: -1;
}
#messages {
    display: flex;
    flex-direction: column;
    gap: 10px;
    padding: 50px 0px;
}

#messages > div {
    display: flex;
    align-items: flex-start;
    gap: 10px;
    backdrop-filter: blur(2px);
    border: 1px solid white;
    padding: 10px;
    border-radius: 8px;
}
::-webkit-scrollbar {
    width: 0em;
}
.info {
    margin: 0 auto;
    text-align: center;
    gap: 10px;
    backdrop-filter: blur(2px);
    border: 1px solid white;
    padding: 10px;
    max-width: 600px;
    border-radius: 8px;
}
.main {
    margin: 0 auto;
    text-align: center;
    padding: 20px;


}
.cmdsdiv {
  align-items: center;
  justify-content: center;
  height: 200px;
  width: 600px;
  margin: 0 auto;
  padding: 50px 0px;
  box-sizing: content-box;
}

.cmdsc {
    height: 100%;
    backdrop-filter: blur(3px);
    overflow-y: auto;
    padding: 0px 10px;
    border: 1px solid white;
    white-space: normal;
    overflow-wrap: break-word;
    line-height: 0.7;
    color: rgb(255, 170, 0);
}
.cmdsc a {
    color: #fff;
}
.ds {
    height: 100%;
    width: 100%;
    overflow-y: auto;
}
.diss {
    height: 500px;
}

.av {
    border-radius: 50rem;
    border: 2px solid white;
    size-adjust: 10px;
    width: 60px;
    box-shadow: 0px 0px 15px rgba(255, 255, 255, 0.3);
}
